#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <unistd.h>

int main ()
{
    int sock, client;
    sockaddr_in addr, client_addr;
    size_t size;
    char buf;

    sock = socket (PF_INET, SOCK_STREAM, 0);

    addr.sin_family = PF_INET;
    addr.sin_port = htons (9000);
    addr.sin_addr.s_addr = INADDR_ANY;
    bind (sock, (struct sockaddr *) &addr, sizeof(struct sockaddr));

    listen (sock, 10);

    size = sizeof (client_addr);

    while (1)
    {
        client = accept (sock, (struct sockaddr *) &client_addr, &size);

        read (client, &buf, 1);

        write (1, &buf, 1);

        close (client);
    }

    close (sock);


    return 0;
}
